Back to top

API Documentation

Applications

A brand may register external applications (e.g. Contact or Deal apps) that can later be referenced from other parts of the platform — for example, by SSO applications whose authentication_type is Application.

Each application belongs to a brand and has an application_type of Contact, Contacts, Deal, or Generic.

Create an application

Create an application
POST/brands/:brand/applications

Creates an application under the given brand. The body must include a url and an application_type (Contact, Contacts, Deal, or Generic).

Example URI

POST /brands/:brand/applications
URI Parameters
HideShow
brand
string (required) Example: 7bb85dcc-68f6-40a0-b934-da971ab817af
Request
HideShow
Body
{
  "url": "https://example.com/app",
  "application_type": "Deal"
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "b3af73d6-4ade-4afb-b494-c6b3e298e48c",
    "created_at": 1784555647.600724,
    "updated_at": 1784555647.600724,
    "deleted_at": null,
    "url": "https://example.com/app",
    "application_type": "Deal",
    "brand": "7bb85dcc-68f6-40a0-b934-da971ab817af",
    "type": "application"
  }
}

Get applications for a brand

Get applications for a brand
GET/brands/:brand/applications

Example URI

GET /brands/:brand/applications
URI Parameters
HideShow
brand
string (required) Example: 7bb85dcc-68f6-40a0-b934-da971ab817af
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "b3af73d6-4ade-4afb-b494-c6b3e298e48c",
      "created_at": 1784555647.600724,
      "updated_at": 1784555647.600724,
      "deleted_at": null,
      "url": "https://example.com/app",
      "application_type": "Deal",
      "brand": "7bb85dcc-68f6-40a0-b934-da971ab817af",
      "type": "application"
    }
  ],
  "info": {
    "count": 1,
    "total": 0
  }
}

Delete an application

Delete an application
DELETE/brands/:brand/applications/:id

Example URI

DELETE /brands/:brand/applications/:id
URI Parameters
HideShow
brand
string (required) Example: 7bb85dcc-68f6-40a0-b934-da971ab817af
id
string (required) Example: b3af73d6-4ade-4afb-b494-c6b3e298e48c
Response  204

Generated by aglio on 20 Jul 2026